%define upstream_name    URI-Find
%define upstream_version 20111103

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Find URIs in arbitrary text
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:     http://search.cpan.org/CPAN/authors/id/M/MS/MSCHWERN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.300.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(URI) >= 1.0.0
BuildRequires: perl(URI::URL) >= 5.0.0
BuildArch:  noarch

%description
This module does one thing: Finds URIs and URLs in plain text.
It finds them quickly and it finds them all (or what URI::URL
considers a URI to be.) It only finds URIs which include a scheme
(http:// or the like), for something a bit less strict have
a look at URI::Find::Schemeless.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor destdir=%{buildroot}
./Build

%check
./Build test

%install
rm -rf $RPM_BUILD_ROOT
./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes INSTALL META.json META.yml README SIGNATURE TODO
%{perl_vendorlib}/URI/*
%{_bindir}/urifind
%{_mandir}/*/*

%changelog

* Sat Nov 05 2011 kharec <kharec> 20111103.0.0-1.mga2
+ Revision: 163653
- update to 20111103

  + takashi <takashi>
    - update to 20111020

* Fri Oct 14 2011 jquelin <jquelin> 20100505.0.0-3.mga2
+ Revision: 155142
- perl 5.14.2 rebuild

* Sun Jun 19 2011 jquelin <jquelin> 20100505.0.0-2.mga2
+ Revision: 109900
- rebuild script for perl 5.14.1

* Fri Jan 21 2011 jquelin <jquelin> 20100505.0.0-1.mga1
+ Revision: 29305
- mageia rebuild
- imported package perl-URI-Find


* Mon Jul 12 2010 Jérôme Quelin <jquelin@mandriva.org> 20100505.0.0-1mdv2011.0
+ Revision: 551202
- update to 20100505

* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 20100211.0.0-1mdv2010.1
+ Revision: 504493
- update to 20100211

* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 20090319.0.0-1mdv2010.0
+ Revision: 395186
- adding missing buildrequires:
- update to 20090319
- using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.16-5mdv2009.0
+ Revision: 242140
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.16-3mdv2008.0
+ Revision: 23624
- rebuild


* Wed Apr 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.16-2mdk
- Add BuildRequires

* Sat Apr 08 2006 Arnaud de Lorbeau <devel@mandriva.com> 0.16-1mdk
- Initial MDV RPM

